IActivityNode

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IActivityNode

    com.change_vision.jude.api.inf.model.IActivityNode

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement

All Known Implementing Classes:
  IAction, IControlNode, IObjectNode

public IActivityNode
extends INamedElement

Interface for Activity nodes.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IFlow[]` | `getIncomings()` Get Incoming Control Flows and Object Flows.
`abstract IFlow[]` | `getOutgoings()` Get Outgoing Control Flows and Object Flows.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getIncomings

    public abstract IFlow[] getIncomings()

  Get Incoming Control Flows and Object Flows.

  Returns:
    the array of Flows. Return the empty array if there is none.

### getOutgoings

    public abstract IFlow[] getOutgoings()

  Get Outgoing Control Flows and Object Flows.

  Returns:
    the array of Flows. Return the empty array if there is none.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD